> ## Documentation Index
> Fetch the complete documentation index at: https://framework.freysa.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Store memory

> Memory endpoint enables ingestion of memories into your agent. These memories are used by the agent when using tools or when developers invoke the chat completions endpoint.



## OpenAPI

````yaml post /v1/memory
openapi: 3.0.0
info:
  title: Agent API
  version: 1.0.0
  description: >-
    OpenRouter/OpenAI API-compatible completions endpoint enables developers to
    build their own applications on sovereign agents. The completions request
    object is augmented with appropriate details from the agent's memory.
    Following the standard API format ensures compatibility with all SDKs that
    support OpenRouter or OpenAI API
servers: []
security: []
paths:
  /v1/memory:
    post:
      summary: Store memory
      description: >-
        Memory endpoint enables ingestion of memories into your agent. These
        memories are used by the agent when using tools or when developers
        invoke the chat completions endpoint.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - content
                - tenant_id
              properties:
                content:
                  type: string
                  description: Memory content
                metadata:
                  type: object
                  properties:
                    source:
                      type: string
                tenant_id:
                  type: string
                  description: Unique identifier for the agent
      responses:
        '200':
          description: Successful response

````